compact2, compact3
org.w3c.dom.views

## Interface AbstractView

-     public interface AbstractView

  A base interface that all views shall derive from.

  See also the Document Object Model (DOM) Level 2 Views Specification.

  Since:
    DOM Level 2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocumentView` | `getDocument()` The source `DocumentView` of which this is an `AbstractView`.

- - ### Method Detail

    - #### getDocument

          DocumentView getDocument()

      The source `DocumentView` of which this is an `AbstractView`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.